Debian Bug report logs - #671913
clang: cannot find standard header files

version graph

Package: clang; Maintainer for clang is LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>; Source for clang is src:llvm-defaults.

Reported by: Miles Bader <miles@gnu.org>

Date: Tue, 8 May 2012 05:15:02 UTC

Severity: important

Found in versions clang/3.1~+rc1-1, clang/3.1-1

Fixed in version clang/3.1-2

Done: Sylvestre Ledru <sylvestre@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>:
Bug#671913; Package clang. (Tue, 08 May 2012 05:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miles Bader <miles@gnu.org>:
New Bug report received and forwarded. Copy sent to LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>. (Tue, 08 May 2012 05:15:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Miles Bader <miles@gnu.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: clang: cannot find standard header files
Date: Tue, 08 May 2012 14:10:34 +0900
Package: clang
Version: 3.1~+rc1-1
Severity: important


   $ cat hw.c
   #include <stdio.h>

   int main ()
   {
     printf ("hello world\n");
     return 0;
   }
   $ env - PATH=/usr/bin:/bin gcc -o hw hw.c
   $ ./hw
   hello world
   $ env - PATH=/usr/bin:/bin clang -o hw hw.c
   In file included from hw.c:1:
   /usr/include/stdio.h:34:11: fatal error: 'stddef.h' file not found
   # include <stddef.h>
	     ^
   1 error generated.
   $ 

Thanks,

-miles


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (101, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages clang depends on:
ii  libc6                2.13-32
ii  libclang-common-dev  3.0-6
ii  libffi5              3.0.10-3
ii  libgcc1              1:4.7.0-7
ii  libllvm3.1           3.1~+rc1-3
ii  libstdc++6           4.7.0-7
ii  libstdc++6-4.6-dev   4.6.3-5

Versions of packages clang recommends:
ii  llvm-3.1-dev  3.1~+rc1-3
ii  python        2.7.2-10

clang suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>:
Bug#671913; Package clang. (Tue, 08 May 2012 16:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Legout <vincent@legout.info>:
Extra info received and forwarded to list. Copy sent to LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>. (Tue, 08 May 2012 16:48:03 GMT) Full text and rfc822 format available.

Message #10 received at 671913@bugs.debian.org (full text, mbox):

From: Vincent Legout <vincent@legout.info>
To: Miles Bader <miles@gnu.org>
Cc: 671913@bugs.debian.org
Subject: Re: Bug#671913: clang: cannot find standard header files
Date: Tue, 08 May 2012 18:44:14 +0200
Hi Miles,

Miles Bader <miles@gnu.org> writes:

> Package: clang
> Version: 3.1~+rc1-1
> Severity: important
>
>
>    $ cat hw.c
>    #include <stdio.h>
>
>    int main ()
>    {
>      printf ("hello world\n");
>      return 0;
>    }
>    $ env - PATH=/usr/bin:/bin gcc -o hw hw.c
>    $ ./hw
>    hello world
>    $ env - PATH=/usr/bin:/bin clang -o hw hw.c
>    In file included from hw.c:1:
>    /usr/include/stdio.h:34:11: fatal error: 'stddef.h' file not found
>    # include <stddef.h>
> 	     ^
>    1 error generated.
>    $

It seems you have clang 3.1~+rc1-1 and:

> ii  libclang-common-dev  3.0-6
> ii  libllvm3.1           3.1~+rc1-3
> ii  llvm-3.1-dev         3.1~+rc1-3

I also get this result with this configuration but upgrading
libclang-common-dev to 3.1~+rc1-1 seems to fix the problem.

I guess clang's dependency on libclang-common-dev could be more strict
so that clang and libclang-common-dev would be upgraded together.

Hope that helps,

Vincent




Information forwarded to debian-bugs-dist@lists.debian.org, LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>:
Bug#671913; Package clang. (Sun, 13 May 2012 13:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvestre Ledru <sylvestre.ledru@scilab-enterprises.com>:
Extra info received and forwarded to list. Copy sent to LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>. (Sun, 13 May 2012 13:00:06 GMT) Full text and rfc822 format available.

Message #15 received at 671913@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre.ledru@scilab-enterprises.com>
To: Vincent Legout <vincent@legout.info>, 671913@bugs.debian.org
Subject: Re: Bug#671913: clang: cannot find standard header files
Date: Sat, 12 May 2012 16:23:45 +0200
On 08/05/2012 18:44, Vincent Legout wrote:
> Hi Miles,
>
>
> It seems you have clang 3.1~+rc1-1 and:
>
>> ii  libclang-common-dev  3.0-6
>> ii  libllvm3.1           3.1~+rc1-3
>> ii  llvm-3.1-dev         3.1~+rc1-3
> I also get this result with this configuration but upgrading
> libclang-common-dev to 3.1~+rc1-1 seems to fix the problem.
>
Bien vu!

Thanks. I will improve the clang  dependencies with the upload of 3.1 final.

Sylvestre





Information forwarded to debian-bugs-dist@lists.debian.org, LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>:
Bug#671913; Package clang. (Sun, 20 May 2012 15:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Romain Bossart <romain.bossart@free.fr>:
Extra info received and forwarded to list. Copy sent to LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>. (Sun, 20 May 2012 15:27:07 GMT) Full text and rfc822 format available.

Message #20 received at 671913@bugs.debian.org (full text, mbox):

From: Romain Bossart <romain.bossart@free.fr>
To: Debian Bug Tracking System <671913@bugs.debian.org>
Subject: Re: clang: cannot find standard header files
Date: Sun, 20 May 2012 16:29:04 +0200
Package: clang
Version: 3.1~+rc1-1
Followup-For: Bug #671913

Cher Maintainer,

On i386 with g++-4.7, I need to add -I/usr/include/i386-linux-gnu/ to compile
any code. Could you please fix this. This problem does not happen on amd64.

Without that extra include, I get the following error:
clang++ -o t1 t1.cpp
In file included from t1.cpp:1:
In file included from /usr/bin/../lib/gcc/i486-linux-
gnu/4.7/../../../../include/c++/4.7/iostream:38:
In file included from /usr/bin/../lib/gcc/i486-linux-
gnu/4.7/../../../../include/c++/4.7/i486-linux-gnu/bits/c++config.h:414:
In file included from /usr/bin/../lib/gcc/i486-linux-
gnu/4.7/../../../../include/c++/4.7/i486-linux-gnu/bits/os_defines.h:40:
In file included from /usr/include/features.h:388:
/usr/include/gnu/stubs.h:7:11: fatal error: 'gnu/stubs-32.h' file not found
# include <gnu/stubs-32.h>
          ^
1 error generated.

Cheers,
Romain



-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 3.2.1 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages clang depends on:
ii  libc6                2.13-32
ii  libclang-common-dev  3.1~+rc1-1
ii  libffi5              3.0.10-3
ii  libgcc1              1:4.7.0-8
ii  libllvm3.1           3.1~+rc1-3
ii  libstdc++6           4.7.0-8
ii  libstdc++6-4.6-dev   4.6.3-5

Versions of packages clang recommends:
ii  llvm-3.1-dev  3.1~+rc1-3
ii  python        2.7.2-10

clang suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>:
Bug#671913; Package clang. (Tue, 22 May 2012 18:33:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Urs Janssen <urs@tin.org>:
Extra info received and forwarded to list. Copy sent to LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>. (Tue, 22 May 2012 18:33:10 GMT) Full text and rfc822 format available.

Message #25 received at 671913@bugs.debian.org (full text, mbox):

From: Urs Janssen <urs@tin.org>
To: Debian Bug Tracking System <671913@bugs.debian.org>
Subject: Re: clang: cannot find standard header files
Date: Tue, 22 May 2012 20:11:02 +0200
Package: clang
Version: 3.1-1
Followup-For: Bug #671913

I can confirm that the bug is still present in 3.1-1 on i386 and adding
-I/usr/include/i386-linux-gnu/ to CFLAGS solved my issues (couldn't find
<bits/predefs.h>).

-- System Information:
Debian Release: wheezy/sid
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-2-686-pae (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages clang depends on:
ii  libc6                2.13-32
ii  libclang-common-dev  3.1-1
ii  libffi5              3.0.10-3
ii  libgcc1              1:4.7.0-8
ii  libllvm3.1           3.1-1
ii  libstdc++6           4.7.0-8
ii  libstdc++6-4.6-dev   4.6.3-5

Versions of packages clang recommends:
ii  llvm-3.1-dev  3.1-1
ii  python        2.7.2-10

clang suggests no packages.

-- no debconf information




Reply sent to Sylvestre Ledru <sylvestre@debian.org>:
You have taken responsibility. (Wed, 23 May 2012 23:21:10 GMT) Full text and rfc822 format available.

Notification sent to Miles Bader <miles@gnu.org>:
Bug acknowledged by developer. (Wed, 23 May 2012 23:21:10 GMT) Full text and rfc822 format available.

Message #30 received at 671913-close@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre@debian.org>
To: 671913-close@bugs.debian.org
Subject: Bug#671913: fixed in clang 3.1-2
Date: Wed, 23 May 2012 23:17:14 +0000
Source: clang
Source-Version: 3.1-2

We believe that the bug you reported is fixed in the latest version of
clang, which is due to be installed in the Debian FTP archive:

clang_3.1-2.debian.tar.gz
  to main/c/clang/clang_3.1-2.debian.tar.gz
clang_3.1-2.dsc
  to main/c/clang/clang_3.1-2.dsc
clang_3.1-2_i386.deb
  to main/c/clang/clang_3.1-2_i386.deb
libclang-common-dev_3.1-2_i386.deb
  to main/c/clang/libclang-common-dev_3.1-2_i386.deb
libclang-dev_3.1-2_i386.deb
  to main/c/clang/libclang-dev_3.1-2_i386.deb
libclang1_3.1-2_i386.deb
  to main/c/clang/libclang1_3.1-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 671913@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sylvestre Ledru <sylvestre@debian.org> (supplier of updated clang package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 23 May 2012 23:32:40 +0200
Source: clang
Binary: clang libclang1 libclang-dev libclang-common-dev
Architecture: source i386
Version: 3.1-2
Distribution: unstable
Urgency: low
Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
Changed-By: Sylvestre Ledru <sylvestre@debian.org>
Description: 
 clang      - Low-Level Virtual Machine (LLVM), C language family frontend
 libclang-common-dev - clang library - Common development package
 libclang-dev - clang library - Development package
 libclang1  - clang library
Closes: 671913
Changes: 
 clang (3.1-2) unstable; urgency=low
 .
   * Add /usr/include/$(DEB_HOST_MULTIARCH) to the search path
     with also DEB_HOST_GNU_TYPE (Closes: #671913)
Checksums-Sha1: 
 c00f071e39940c21d13704b7f3e28a4848db3da9 1706 clang_3.1-2.dsc
 ad7a18c1080e6f89b49da4c09178d5779857726e 19081 clang_3.1-2.debian.tar.gz
 5814072959c73e4cf1f6adba00fa5f4c95471bd3 5918578 clang_3.1-2_i386.deb
 b05544bd6032f90ac0d2c8a8a17ebc8d29304e38 3929526 libclang1_3.1-2_i386.deb
 afb5d9f15730053ab0141949cd4a1ddfad33133a 1100988 libclang-dev_3.1-2_i386.deb
 0c3e4c21f0256fe9d9f8d75308f9f4a03d4ee03f 83838 libclang-common-dev_3.1-2_i386.deb
Checksums-Sha256: 
 dccc22d12f0102a7d138ec234fcfd71e600fdcc62af12da35bd111fafb0539ae 1706 clang_3.1-2.dsc
 2923cec9f49fac9c5146161aaa79788ec5a85857f1aa6247e7a5e82628472992 19081 clang_3.1-2.debian.tar.gz
 d751880e551f9836704282dd147b51ff3660d76cbb56f842542e11a01c53da05 5918578 clang_3.1-2_i386.deb
 fe945e830b8a4fbf259422ca3a42fd46895704ad958d2eb718799d97ddf62d48 3929526 libclang1_3.1-2_i386.deb
 9e90c0f67aedd6e1062046e40613b8dafe0440d12019c016685f6234d4e71757 1100988 libclang-dev_3.1-2_i386.deb
 74f56749920be06b7c81a287b537940b6318eb5cd6f5f0ff3f6b35432dad1c35 83838 libclang-common-dev_3.1-2_i386.deb
Files: 
 cf4ea5264f0381a1b2c0495628de6d32 1706 devel optional clang_3.1-2.dsc
 ce07345aeedeaf3eee699b0176fc8824 19081 devel optional clang_3.1-2.debian.tar.gz
 e43a4323f6362b7979e37ef7046a4c79 5918578 devel optional clang_3.1-2_i386.deb
 114a12acc907b66f987496302d0750ad 3929526 devel optional libclang1_3.1-2_i386.deb
 91a6c7677e7668a9946400cab386ec7d 1100988 libdevel optional libclang-dev_3.1-2_i386.deb
 9ac77be3a6baa7f0ec39234d2b29aff2 83838 libdevel optional libclang-common-dev_3.1-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk+9bJIACgkQiOXXM92JlhBseQCgq9EOYD0n9bh7jP0CGOGTUmBb
K0sAnRoed/kZjrQVVzQWIOBM+15aARFz
=bLIS
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 22 Jun 2012 07:36:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:16:53 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.